
Cook: libctpp2 2.8.3
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): libxml2-2.9.4
Installing (pkg/local): lz4-lib-1.8.2
Installing (pkg/local): nettle-3.3
Installing (pkg/local): libarchive-3.3.2
Installing (pkg/local): libidn2-2.0.4
Installing (pkg/local): libssh2-1.8.0
Installing (pkg/local): libcurl-7.58.0
Installing (pkg/local): cmake-3.9.1
Extracting source archive "ctpp2-2.8.3.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

Applying patch libctpp2.patch
  patching file src/CTPP2FileSourceLoader.cpp
  patching file CMakeLists.txt


-- The C compiler identification is GNU 7.3.0
-- The CXX compiler identification is GNU 7.3.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Looking for round in m
-- Looking for round in m - found
-- Looking for roundl in m
-- Looking for roundl in m - found
-- Looking for include file sys/types.h
-- Looking for include file sys/types.h - found
-- Looking for include file sys/time.h
-- Looking for include file sys/time.h - found
-- Looking for include file sys/uio.h
-- Looking for include file sys/uio.h - found
-- Looking for include file fcntl.h
-- Looking for include file fcntl.h - found
-- Looking for include file math.h
-- Looking for include file math.h - found
-- Looking for include file stdio.h
-- Looking for include file stdio.h - found
-- Looking for include file stdlib.h
-- Looking for include file stdlib.h - found
-- Looking for include file string.h
-- Looking for include file string.h - found
-- Looking for include file strings.h
-- Looking for include file strings.h - found
-- Looking for include file time.h
-- Looking for include file time.h - found
-- Looking for include file unistd.h
-- Looking for include file unistd.h - found
-- Looking for include file sysexits.h
-- Looking for include file sysexits.h - found
-- Performing Test STL_MAP_CHECK
-- Performing Test STL_MAP_CHECK - Success
-- Performing Test STL_VECTOR_CHECK
-- Performing Test STL_VECTOR_CHECK - Success
-- Performing Test STL_STRING_CHECK
-- Performing Test STL_STRING_CHECK - Success
-- Performing Test STL_STDEXCEPT_CHECK
-- Performing Test STL_STDEXCEPT_CHECK - Success
-- Performing Test STL_VECTOR_NO_STD_CHECK
-- Performing Test STL_VECTOR_NO_STD_CHECK - Failed
-- #### INFO: Using STL classes with STD namespace
-- #### System name is: Linux
-- #### Building for Linux...
-- #### WARNING: MD5 hash function support disabled: md5.h not found
-- #### INFO: ICONV converter support enabled
-- #### INFO: Optimized build mode enabled
-- Configuring done
-- Generating done
-- Build files have been written to: /home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/build
Scanning dependencies of target ctpp2
Scanning dependencies of target ctpp2-static
[  0%] Building CXX object CMakeFiles/ctpp2.dir/src/CDTSortRoutines.cpp.o
[  1%] Building CXX object CMakeFiles/ctpp2.dir/src/CDT.cpp.o
[  1%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2Compiler.cpp.o
[  2%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2BitIndex.cpp.o
[  3%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2DTOA.cpp.o
[  4%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CDT.cpp.o
[  4%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2Exception.cpp.o
[  5%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2Error.cpp.o
[  5%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2FileOutputCollector.cpp.o
[  6%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2FileSourceLoader.cpp.o
[  6%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2FileLogger.cpp.o
[  7%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2HashTable.cpp.o
[  7%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2JSONParser.cpp.o
[  8%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2JSONFileParser.cpp.o
[  8%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2Logger.cpp.o
[  9%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2Parser.cpp.o
[  9%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2ParserException.cpp.o
[ 10%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2SimpleCompiler.cpp.o
[ 10%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2SimpleVM.cpp.o
[ 11%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2Sprintf.cpp.o
[ 11%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2StringBuffer.cpp.o
[ 12%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2StaticData.cpp.o
[ 12%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2StaticText.cpp.o
[ 13%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2StreamOutputCollector.cpp.o
[ 13%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2StringOutputCollector.cpp.o
[ 14%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2StringIconvOutputCollector.cpp.o
[ 14%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2SyscallFactory.cpp.o
[ 15%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2Util.cpp.o
[ 15%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VM.cpp.o
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp: In function 'std::__cxx11::string CTPP::WMLEscape(const string&)':
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:439:14: warning: 'snprintf' output truncated before the last format character [-Wformat-truncation=]
 STLW::string WMLEscape(const STLW::string  & sData)
              ^~~~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:460:12: note: 'snprintf' output 7 bytes into a destination of size 6
    snprintf(sBuffer + iBufferPointer, 6, "\\u%04d", chTMP);
    ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:439:14: warning: 'snprintf' output truncated before the last format character [-Wformat-truncation=]
 STLW::string WMLEscape(const STLW::string  & sData)
              ^~~~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:460:12: note: 'snprintf' output 7 bytes into a destination of size 6
    snprintf(sBuffer + iBufferPointer, 6, "\\u%04d", chTMP);
    ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[ 16%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMArgStack.cpp.o
[ 16%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMCodeStack.cpp.o
[ 16%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CDTSortRoutines.cpp.o
[ 17%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMDebugInfo.cpp.o
[ 18%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2BitIndex.cpp.o
[ 18%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMDumper.cpp.o
[ 18%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMException.cpp.o
[ 19%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMExecutable.cpp.o
[ 19%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMFileLoader.cpp.o
[ 20%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMMemoryCore.cpp.o
[ 20%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMOpcodeCollector.cpp.o
[ 21%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMSTDLib.cpp.o
[ 21%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2VMSyscall.cpp.o
[ 22%] Building CXX object CMakeFiles/ctpp2.dir/src/CTPP2GetText.cpp.o
[ 22%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnAvg.cpp.o
[ 23%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnBase64Decode.cpp.o
[ 23%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnBase64Encode.cpp.o
[ 24%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnCast.cpp.o
[ 24%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnConcat.cpp.o
[ 25%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnContext.cpp.o
[ 25%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnDateFormat.cpp.o
[ 26%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnDefault.cpp.o
[ 26%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnDefined.cpp.o
[ 27%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnEmitter.cpp.o
[ 27%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnError.cpp.o
[ 28%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnFormParam.cpp.o
[ 28%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnGetText.cpp.o
[ 29%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnGetType.cpp.o
[ 29%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnHashKeys.cpp.o
[ 30%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnHMACMD5.cpp.o
[ 30%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnHTMLEscape.cpp.o
[ 31%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnHrefParam.cpp.o
[ 31%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnHostname.cpp.o
[ 32%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnIconv.cpp.o
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CDT.cpp: In member function 'CTPP::CDT& CTPP::CDT::operator[](UINT_32)':
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CDT.cpp:414:22: warning: '<anonymous>.CTPP::CDT::u.CTPP::CDT::<unnamed union>::i_data' may be used uninitialized in this function [-Wmaybe-uninitialized]
    u.i_data = oCDT.u.i_data;
               ~~~~~~~^~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CDT.cpp:418:22: warning: '<anonymous>.CTPP::CDT::u.CTPP::CDT::<unnamed union>::d_data' may be used uninitialized in this function [-Wmaybe-uninitialized]
    u.d_data = oCDT.u.d_data;
               ~~~~~~~^~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CDT.cpp:422:23: warning: '<anonymous>.CTPP::CDT::u.CTPP::CDT::<unnamed union>::pp_data' may be used uninitialized in this function [-Wmaybe-uninitialized]
    u.pp_data = oCDT.u.pp_data;
                ~~~~~~~^~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CDT.cpp:430:22: warning: '<anonymous>.CTPP::CDT::u.CTPP::CDT::<unnamed union>::p_data' may be used uninitialized in this function [-Wmaybe-uninitialized]
    u.p_data = oCDT.u.p_data;
               ~~~~~~~^~~~~~
[ 32%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnInSet.cpp.o
[ 33%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnInArray.cpp.o
[ 33%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnJSONEscape.cpp.o
[ 34%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnJSON.cpp.o
[ 34%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnList.cpp.o
[ 35%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnListElement.cpp.o
[ 35%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnLog.cpp.o
[ 36%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnMBSize.cpp.o
[ 36%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnMBSubstring.cpp.o
[ 37%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnMBTruncate.cpp.o
[ 37%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnMD5.cpp.o
[ 38%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnMax.cpp.o
[ 38%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnMin.cpp.o
[ 39%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnNumFormat.cpp.o
[ 39%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnObjDump.cpp.o
[ 40%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnRandom.cpp.o
[ 40%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnSize.cpp.o
[ 41%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnSprintf.cpp.o
[ 41%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnSubstring.cpp.o
[ 42%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnTruncate.cpp.o
[ 42%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnURIEscape.cpp.o
[ 43%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnURLEscape.cpp.o
[ 43%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnVersion.cpp.o
[ 43%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnWMLEscape.cpp.o
[ 44%] Building CXX object CMakeFiles/ctpp2.dir/src/functions/FnXMLEscape.cpp.o
[ 45%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2Compiler.cpp.o
[ 45%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2DTOA.cpp.o
[ 45%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2Exception.cpp.o
[ 46%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2Error.cpp.o
[ 46%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2FileOutputCollector.cpp.o
[ 47%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2FileSourceLoader.cpp.o
[ 47%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2FileLogger.cpp.o
[ 48%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2HashTable.cpp.o
[ 48%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2JSONParser.cpp.o
[ 49%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2JSONFileParser.cpp.o
[ 49%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2Logger.cpp.o
[ 50%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2Parser.cpp.o
[ 50%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2ParserException.cpp.o
[ 51%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2SimpleCompiler.cpp.o
[ 51%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2SimpleVM.cpp.o
[ 52%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2Sprintf.cpp.o
[ 52%] Linking CXX shared library libctpp2.so
[ 52%] Built target ctpp2
Scanning dependencies of target CDT2JSONBenchmark
[ 53%] Building CXX object CMakeFiles/CDT2JSONBenchmark.dir/benchmarks/CDT2JSON.cpp.o
[ 53%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2StringBuffer.cpp.o
[ 54%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2StaticData.cpp.o
[ 54%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2StaticText.cpp.o
[ 55%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2StreamOutputCollector.cpp.o
[ 55%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2StringOutputCollector.cpp.o
[ 55%] Linking CXX executable CDT2JSONBenchmark
[ 56%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2StringIconvOutputCollector.cpp.o
[ 56%] Built target CDT2JSONBenchmark
Scanning dependencies of target CTPP2VMTest
[ 57%] Building CXX object CMakeFiles/CTPP2VMTest.dir/tests/CTPP2VMTest.cpp.o
[ 57%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2SyscallFactory.cpp.o
[ 58%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2Util.cpp.o
[ 58%] Linking CXX executable CTPP2VMTest
[ 58%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VM.cpp.o
[ 58%] Built target CTPP2VMTest
Scanning dependencies of target ctpp2vm
[ 58%] Building CXX object CMakeFiles/ctpp2vm.dir/tests/CTPP2Emulator.cpp.o
[ 59%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMArgStack.cpp.o
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp: In function 'std::__cxx11::string CTPP::WMLEscape(const string&)':
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:439:14: warning: 'snprintf' output truncated before the last format character [-Wformat-truncation=]
 STLW::string WMLEscape(const STLW::string  & sData)
              ^~~~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:460:12: note: 'snprintf' output 7 bytes into a destination of size 6
    snprintf(sBuffer + iBufferPointer, 6, "\\u%04d", chTMP);
    ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:439:14: warning: 'snprintf' output truncated before the last format character [-Wformat-truncation=]
 STLW::string WMLEscape(const STLW::string  & sData)
              ^~~~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/src/CTPP2Util.cpp:460:12: note: 'snprintf' output 7 bytes into a destination of size 6
    snprintf(sBuffer + iBufferPointer, 6, "\\u%04d", chTMP);
    ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[ 59%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMCodeStack.cpp.o
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/tests/CTPP2Emulator.cpp: In function 'int main(int, char**)':
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/tests/CTPP2Emulator.cpp:77:7: warning: 'template<class> class std::auto_ptr' is deprecated [-Wdeprecated-declarations]
  std::auto_ptr<FileOutputCollector> pOutputCollector(new FileOutputCollector(stdout));
       ^~~~~~~~
In file included from /usr/include/c++/7.3.0/memory:80:0,
                 from /home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/tests/CTPP2Emulator.cpp:57:
/usr/include/c++/7.3.0/bits/unique_ptr.h:51:28: note: declared here
   template<typename> class auto_ptr;
                            ^~~~~~~~
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/tests/CTPP2Emulator.cpp:79:47: warning: argument to 'sizeof' in 'int strncmp(const char*, const char*, size_t)' call is the same expression as the first source; did you mean to provide an explicit length? [-Wsizeof-pointer-memaccess]
  if (argc >= 4 && strncmp(argv[3], "0", sizeof(argv[3])) != 0) { pOutputCollector.reset(new FileOutputCollector(argv[3], "w+")); }
                                               ^
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/tests/CTPP2Emulator.cpp:83:47: warning: argument to 'sizeof' in 'int strncmp(const char*, const char*, size_t)' call is the same expression as the first source; did you mean to provide an explicit length? [-Wsizeof-pointer-memaccess]
  if (argc >= 5 && strncmp(argv[4], "0", sizeof(argv[4])) != 0) { oGetText.AddTranslation(argv[4], "test", "unknown"); }
                                               ^
[ 60%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMDebugInfo.cpp.o
[ 60%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMDumper.cpp.o
[ 61%] Linking CXX executable ctpp2vm
[ 62%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMException.cpp.o
[ 62%] Built target ctpp2vm
Scanning dependencies of target ctpp2c
[ 62%] Building CXX object CMakeFiles/ctpp2c.dir/tests/CTPP2Compiler.cpp.o
[ 62%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMExecutable.cpp.o
[ 63%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMFileLoader.cpp.o
[ 63%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMMemoryCore.cpp.o
[ 64%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMOpcodeCollector.cpp.o
[ 65%] Linking CXX executable ctpp2c
[ 65%] Built target ctpp2c
Scanning dependencies of target CTPP2DTOATest
[ 66%] Building CXX object CMakeFiles/CTPP2DTOATest.dir/tests/CTPP2DTOA.cpp.o
[ 66%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMSTDLib.cpp.o
[ 67%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2VMSyscall.cpp.o
[ 67%] Building CXX object CMakeFiles/ctpp2-static.dir/src/CTPP2GetText.cpp.o
[ 67%] Linking CXX executable CTPP2DTOATest
[ 67%] Built target CTPP2DTOATest
Scanning dependencies of target ctpp2i
[ 67%] Building CXX object CMakeFiles/ctpp2i.dir/tests/CTPP2Interpreter.cpp.o
[ 68%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnAvg.cpp.o
[ 68%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnBase64Decode.cpp.o
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/tests/CTPP2Interpreter.cpp: In function 'int main(int, char**)':
/home/slitaz/wok/libctpp2/source/libctpp2-2.8.3/tests/CTPP2Interpreter.cpp:79:47: warning: argument to 'sizeof' in 'int strncmp(const char*, const char*, size_t)' call is the same expression as the first source; did you mean to provide an explicit length? [-Wsizeof-pointer-memaccess]
  if (argc >= 4 && strncmp(argv[3], "0", sizeof(argv[3])) != 0) { oGetText.AddTranslation(argv[3], "test", "unknown"); }
                                               ^
[ 69%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnBase64Encode.cpp.o
[ 69%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnCast.cpp.o
[ 70%] Linking CXX executable ctpp2i
[ 71%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnConcat.cpp.o
[ 71%] Built target ctpp2i
Scanning dependencies of target BitIndexTest
[ 71%] Building CXX object CMakeFiles/BitIndexTest.dir/tests/BitIndexText.cpp.o
[ 71%] Linking CXX executable BitIndexTest
[ 71%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnContext.cpp.o
[ 72%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnDateFormat.cpp.o
[ 72%] Built target BitIndexTest
Scanning dependencies of target VMArgStackTest
[ 73%] Building CXX object CMakeFiles/VMArgStackTest.dir/tests/VMArgStackTest.cpp.o
[ 73%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnDefault.cpp.o
[ 73%] Linking CXX executable VMArgStackTest
[ 73%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnDefined.cpp.o
[ 73%] Built target VMArgStackTest
Scanning dependencies of target ctpp2json
[ 73%] Building CXX object CMakeFiles/ctpp2json.dir/tests/CTPP2JSONParser.cpp.o
[ 74%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnEmitter.cpp.o
[ 74%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnError.cpp.o
[ 75%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnFormParam.cpp.o
[ 76%] Linking CXX executable ctpp2json
[ 76%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnGetText.cpp.o
[ 76%] Built target ctpp2json
Scanning dependencies of target CDTTest
[ 77%] Building CXX object CMakeFiles/CDTTest.dir/tests/CDTTest.cpp.o
[ 78%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnGetType.cpp.o
[ 78%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnHashKeys.cpp.o
[ 79%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnHMACMD5.cpp.o
[ 79%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnHTMLEscape.cpp.o
[ 80%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnHrefParam.cpp.o
[ 80%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnHostname.cpp.o
[ 81%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnIconv.cpp.o
[ 81%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnInSet.cpp.o
[ 82%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnInArray.cpp.o
[ 82%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnJSONEscape.cpp.o
[ 83%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnJSON.cpp.o
[ 83%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnList.cpp.o
[ 83%] Linking CXX executable CDTTest
[ 84%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnListElement.cpp.o
[ 84%] Built target CDTTest
Scanning dependencies of target CDTPerfTest
[ 85%] Building CXX object CMakeFiles/CDTPerfTest.dir/tests/CDTPerfTest.cpp.o
[ 85%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnLog.cpp.o
[ 86%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnMBSize.cpp.o
[ 86%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnMBSubstring.cpp.o
[ 86%] Linking CXX executable CDTPerfTest
[ 87%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnMBTruncate.cpp.o
[ 87%] Built target CDTPerfTest
Scanning dependencies of target HashTest
[ 88%] Building CXX object CMakeFiles/HashTest.dir/tests/HashTest.cpp.o
[ 88%] Linking CXX executable HashTest
[ 88%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnMD5.cpp.o
[ 88%] Built target HashTest
Scanning dependencies of target StaticTextTest
[ 89%] Building CXX object CMakeFiles/StaticTextTest.dir/tests/StaticTextTest.cpp.o
[ 89%] Linking CXX executable StaticTextTest
[ 90%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnMax.cpp.o
[ 90%] Built target StaticTextTest
Scanning dependencies of target VMCodeStackTest
[ 91%] Building CXX object CMakeFiles/VMCodeStackTest.dir/tests/VMCodeStackTest.cpp.o
[ 91%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnMin.cpp.o
[ 92%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnNumFormat.cpp.o
[ 92%] Linking CXX executable VMCodeStackTest
[ 92%] Built target VMCodeStackTest
Scanning dependencies of target simple-vm
[ 92%] Building CXX object CMakeFiles/simple-vm.dir/tests/SimpleVMTest.cpp.o
[ 92%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnObjDump.cpp.o
[ 93%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnRandom.cpp.o
[ 93%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnSize.cpp.o
[ 94%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnSprintf.cpp.o
[ 95%] Linking CXX executable simple-vm
[ 95%] Built target simple-vm
Scanning dependencies of target simple-compiler
[ 95%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnSubstring.cpp.o
[ 95%] Building CXX object CMakeFiles/simple-compiler.dir/tests/SimpleCompilerTest.cpp.o
[ 96%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnTruncate.cpp.o
[ 96%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnURIEscape.cpp.o
[ 97%] Linking CXX executable simple-compiler
[ 98%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnURLEscape.cpp.o
[ 98%] Built target simple-compiler
[ 98%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnVersion.cpp.o
[ 99%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnWMLEscape.cpp.o
[ 99%] Building CXX object CMakeFiles/ctpp2-static.dir/src/functions/FnXMLEscape.cpp.o
[100%] Linking CXX static library libctpp2-st.a
[100%] Built target ctpp2-static
[ 85%] Built target ctpp2
[ 85%] Built target ctpp2-static
[ 86%] Built target ctpp2c
[ 87%] Built target CTPP2DTOATest
[ 88%] Built target CTPP2VMTest
[ 89%] Built target CDT2JSONBenchmark
[ 90%] Built target ctpp2vm
[ 91%] Built target ctpp2i
[ 91%] Built target BitIndexTest
[ 92%] Built target VMArgStackTest
[ 93%] Built target ctpp2json
[ 94%] Built target CDTTest
[ 95%] Built target CDTPerfTest
[ 96%] Built target StaticTextTest
[ 97%] Built target VMCodeStackTest
[ 98%] Built target HashTest
[ 99%] Built target simple-vm
[100%] Built target simple-compiler
Install the project...
-- Install configuration: ""
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CDT.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CDTSortRoutines.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2BitIndex.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2CharIterator.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Compiler.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2DTOA.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Exception.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Error.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2ErrorCodes.h
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2FileLogger.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2FileOutputCollector.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2FileSourceLoader.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2GetText.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2GlobalDefines.h
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2HashTable.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2JSONFileParser.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2JSONParser.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Logger.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2OutputCollector.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Parser.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2ParserException.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2SimpleCompiler.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2SimpleVM.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2SourceLoader.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Sprintf.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2StaticData.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2StaticText.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2StreamOutputCollector.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2StringBuffer.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2StringIconvOutputCollector.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2StringOutputCollector.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2SymbolTable.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Syntax.h
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2SysHeaders.h
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2SysTypes.h
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2SyscallFactory.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Types.h
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2Util.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VM.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMArgStack.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMCodeStack.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMDebugInfo.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMDumper.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMException.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMExecutable.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMFileLoader.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMInstruction.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMLoader.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMMemoryCore.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMOpcodeCollector.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMOpcodes.h
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMSTDLib.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMStackException.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/CTPP2VMSyscall.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLException.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLFunctional.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLIosfwd.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLMap.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLOstream.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLPair.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLString.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/include/ctpp2/STLVector.hpp
-- Installing: /home/slitaz/wok/libctpp2/install/usr/lib/libctpp2.so.2.8.3
-- Installing: /home/slitaz/wok/libctpp2/install/usr/lib/libctpp2.so.2
-- Installing: /home/slitaz/wok/libctpp2/install/usr/lib/libctpp2.so
-- Installing: /home/slitaz/wok/libctpp2/install/usr/lib/libctpp2-st.a
-- Installing: /home/slitaz/wok/libctpp2/install/usr/share/man/man1/ctpp2-config.1
-- Installing: /home/slitaz/wok/libctpp2/install/usr/share/man/man1/ctpp2c.1
-- Installing: /home/slitaz/wok/libctpp2/install/usr/share/man/man1/ctpp2i.1
-- Installing: /home/slitaz/wok/libctpp2/install/usr/share/man/man1/ctpp2json.1
-- Installing: /home/slitaz/wok/libctpp2/install/usr/share/man/man1/ctpp2vm.1
-- Installing: /home/slitaz/wok/libctpp2/install/usr/bin/ctpp2vm
-- Installing: /home/slitaz/wok/libctpp2/install/usr/bin/ctpp2c
-- Installing: /home/slitaz/wok/libctpp2/install/usr/bin/ctpp2i
-- Installing: /home/slitaz/wok/libctpp2/install/usr/bin/ctpp2json
-- Installing: /home/slitaz/wok/libctpp2/install/usr/bin/ctpp2-config
================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.66s. Size: 12205 B -> 6211 B. Save: 6 KB. Cache hit: 5/5.
================================================================================


Build dependencies to remove: 9
Removing: advancecomp-static cmake libarchive libcurl libidn2 libssh2 libxml2 
lz4-lib nettle


Pack: libctpp2 2.8.3
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 0.44s. Size: 1029512 B -> 899948 B. Save: 127 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "libctpp2-2.8.3.tazpkg"                           Done
The release checksum has changed.
================================================================================
Package "libctpp2-2.8.3.tazpkg" created


Pack: libctpp2-dev 2.8.3
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 3.58s. Size: 2315334 B -> 2312118 B. Save: 3 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "libctpp2-dev-2.8.3.tazpkg"                       Done
The release checksum has changed.
================================================================================
Package "libctpp2-dev-2.8.3.tazpkg" created


Summary for: libctpp2 2.8.3
================================================================================
Src file    : ctpp2-2.8.3.tar.gz
Src size    : 240.0K
Source dir  : 11.4M
Produced    : 3.7M
Cook time   : 98s ~ 2m
Cook date   : 2018-07-11 15:32
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  924.0K :     256.2K :     7 : libctpp2-2.8.3.tazpkg
 2 :    2.7M :     467.1K :    64 : libctpp2-dev-2.8.3.tazpkg
================================================================================

Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Done
Checking libtool in source/libctpp2-2.8.3...                           Done
Checking site script in source/libctpp2-2.8.3...                       Done
Checking ownership in install...                                       Done
Checking permissions in install...                                     Done
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================

